/*
 * $Id: StringHelper.java,v 1.2 2010/04/22 18:27:19 oboehm Exp $
 *
 * Copyright (c) 2010 by Oliver Boehm
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express orimplied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * (c)reated 02.04.2010 by oliver (ob@oasd.de)
 */

package patterntesting.runtime.util;

/**
 * This class contains some useful helper methods for Strings.
 *
 * @author oliver
 * @since 1.0 (02.04.2010)
 * @see org.apache.commons.lang.StringUtils
 */
public class StringHelper {

    /** It's a utility class - no need to instantiate it */
    private StringHelper() {}

    /**
     * This helper method look in the given array, if there is a string with
     * the given name (not case sensitive).
     * <br/>
     * NOTE: commons.lang.ArrayUtils provides a contains(..) method but
     * unfortunately no containsIgnoreCase(..) method.
     *
     * @param names array with names
     * @param name the searched name
     * @return true, if name is inside names.
     * @see org.apache.commons.lang.ArrayUtils
     */
    public static boolean containsIgnoreCase(final String[] names, final String name) {
        for (int i = 0; i < names.length; i++) {
            if (name.equalsIgnoreCase(names[i])) {
                return true;
            }
        }
        return false;
    }

}

